Skip to main content
POST
/integration/:id/preview

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Integration ID, Encoded (base-36)

Body

application/json
platform_id
string
required

Mapped platform ID to preview against. GA: numeric GA4 property ID

settings
object

Unsaved integration settings to preview

start
string

YYYY-MM-DD. Defaults to 6 days before end

end
string

YYYY-MM-DD. Defaults to yesterday

Response

Before/after preview results

results
object
required
success
boolean
required